Перейти к содержимому

GET /v2/sandboxes

List sandboxes (v2)

List all sandboxes

Параметры

  • metadata · string · запрос · необязательно

    Metadata query used to filter the sandboxes (e.g. "user=abc&app=prod"). Each key and values must be URL encoded.

  • state · array<SandboxState> · запрос · необязательно

    Filter sandboxes by one or more states

    Допустимые значения для SandboxState: running | paused

    Сериализация: style form; explode false; wire format state=value1,value2

  • nextToken · string · запрос · необязательно

    Cursor to start the list from

  • limit · integer · запрос · необязательно

    Maximum number of items to return per page

    Формат: int32

    По умолчанию: 100

    Минимум: 1

    Максимум: 100

Ответы

200

Successfully returned all running sandboxes

Заголовки ответа

  • X-Next-Token · string · заголовок ответа

    Cursor to fetch the next page of results, if more exist

  • X-Total-Running · integer · заголовок ответа

    Number of running sandboxes matching the filters, before pagination is applied. Only present when running sandboxes were requested.

    Формат: int32

Content-Type: application/json

Схема: array<ListedSandbox>

  • templateID · string · обязательно

    Identifier of the template from which is the sandbox created

  • alias · string · необязательно

    Alias of the template

  • sandboxID · string · обязательно

    Identifier of the sandbox

  • startedAt · string · обязательно

    Time when the sandbox was started

    Формат: date-time

  • endAt · string · обязательно

    Time when the sandbox will expire

    Формат: date-time

  • cpuCount · CPUCount · обязательно

    CPU cores for the sandbox

    Формат: int32

    Минимум: 1

  • memoryMB · MemoryMB · обязательно

    Memory for the sandbox in MiB

    Формат: int32

    Минимум: 128

  • diskSizeMB · DiskSizeMB · обязательно

    Disk size for the sandbox in MiB

    Формат: int32

    Минимум: 0

  • metadata · SandboxMetadata · необязательно

  • metadata.* · string · additional property

    Metadata of the sandbox

  • state · SandboxState · обязательно

    State of the sandbox

    Допустимые значения для SandboxState: running | paused

  • envdVersion · EnvdVersion · обязательно

    Version of the envd running in the sandbox

401

Authentication error

Content-Type: application/json

Схема: Error

  • code · integer · обязательно

    Error code

    Формат: int32

  • message · string · обязательно

    Error

400

Bad request

Content-Type: application/json

Схема: Error

  • code · integer · обязательно

    Error code

    Формат: int32

  • message · string · обязательно

    Error

500

Server error

Content-Type: application/json

Схема: Error

  • code · integer · обязательно

    Error code

    Формат: int32

  • message · string · обязательно

    Error